// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  /** 获取店铺实时库存查询信息*/
  storeBatchList(data) {
    return request(`/kitchen/api/order/store-batch`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 查询店铺信息(店铺信息)
   */
  srdList(data) {
    return request(`/kitchen/api/franchisee-srd/srd`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 查询店铺分类信息（店铺类型信息）
   */
  srdTypeList(data) {
    return request(`/kitchen/api/franchisee-srd-type/srd-type`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 查询商品信息
   */
  goodsList(data) {
    return request(`/kitchen/api/goods/goodss`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 一键补货
   */
  ReplenishmentGoods(data) {
    return request(`/kitchen/api/goods/goodss`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
};
